%global drupalver 6
%{?rhel: %{expand: %%global drupal drupal%%{drupalver}}}
%if 0%{?fedora} >= 15
%global drupal drupal%{drupalver}
%endif
%{!?drupal: %{expand: %%global drupal drupal}}
# e.g. "/usr/share/drupal6"
%global drupalbase           %{_datadir}/%{drupal}
%global drupal_sites_all    %{drupalbase}/sites/all        
%global drupal_modules      %{drupal_sites_all}/modules
# Use upstream name as expressed in URL and tarball
%global modname             addthis
%global upstream_version    3.0-beta2

Name:    drupal%{drupalver}-%{modname}
Version: 3.0
Release: 6.beta2%{?dist}
Summary: AddThis module for Drupal6
Group:   Applications/Publishing
License: GPLv2
URL:     http://drupal.org/project/%{modname}
Source0: http://ftp.drupal.org/files/projects/%{modname}-%{drupalver}.x-%{upstream_version}.tar.gz
Source1: %{name}-fedora-README.txt
Source2: LICENSE.txt
BuildArch: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:  drupal6

%description
AddThis module for Drupal6

%prep
%setup -qn %{modname}

%build
cp %{SOURCE1} .
cp %{SOURCE2} .

%install
rm -rf %{buildroot}
install -d %{buildroot}%{drupal_modules}/%{modname}
find . -type f -exec install -m 0644 -D '{}' %{buildroot}%{drupal_modules}/%{modname}/'{}' \;

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc %{name}-fedora-README.txt
%doc LICENSE.txt
%exclude %{drupal_modules}/%{modname}/%{name}-fedora-README.txt
%exclude %{drupal_modules}/%{modname}/LICENSE.txt
%{drupal_modules}/%{modname}

%changelog
* Thu Apr 12 2012 Anderson Silva <ansilva@redhat.com> - 3.0-6.beta2
- One more license fix 

* Thu Apr 12 2012 Anderson Silva <ansilva@redhat.com> - 3.0-5.beta2
- Yet another license fix 

* Wed Apr 11 2012 Anderson Silva <ansilva@redhat.com> - 3.0-4.beta2
- Fix description and license 

* Wed Mar 21 2012 Anderson Silva <ansilva@redhat.com> - 3.0-3.beta2
- Fix non-numeric release information

* Fri Mar 9 2012 Anderson Silva <ansilva@redhat.com> - 3.0-2.beta2
- Update spec to comply with Fedora Packaging

* Mon Mar 5 2012 Anderson Silva <ansilva@redhat.com> - 3.0-1.beta2
- Initial rpm package
